package de.uka.ilkd.key.proof.decproc;

import de.uka.ilkd.key.logic.Sequent;
import de.uka.ilkd.key.logic.op.SetOfMetavariable;

/**
 * Returns the Translation classes for Java.
 * @author daniels
 */
public class JavaDecisionProcedureTranslationFactory
		implements
			DecisionProcedureTranslationFactory {
	/* (non-Javadoc)
	 * @see de.uka.ilkd.key.proof.decproc.DecisionProcedureTranslationFactory#createSimplifyTranslation(de.uka.ilkd.key.logic.Sequent, de.uka.ilkd.key.proof.decproc.ConstraintSet, de.uka.ilkd.key.logic.op.SetOfMetavariable)
	 */
	public SimplifyTranslation createSimplifyTranslation(Sequent sequent,
			ConstraintSet cs, SetOfMetavariable localmv)
			throws SimplifyException {
		return new SimplifyTranslation(sequent, cs, localmv);
	}
	/* (non-Javadoc)
	 * @see de.uka.ilkd.key.proof.decproc.DecisionProcedureTranslationFactory#createICSTranslation(de.uka.ilkd.key.logic.Sequent, de.uka.ilkd.key.proof.decproc.ConstraintSet, de.uka.ilkd.key.logic.op.SetOfMetavariable)
	 */
	public ICSTranslation createICSTranslation(Sequent sequent,
			ConstraintSet cs, SetOfMetavariable localmv)
			throws SimplifyException {
		return new ICSTranslation(sequent, cs, localmv);	
	}
}
